#!/usr/bin/env node
"use strict";

var _fs = _interopRequireDefault(require("fs"));

var _yargs = _interopRequireDefault(require("yargs"));

var _baba = _interopRequireDefault(require("../baba"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_yargs.default.command(['parse <file>', '$0'], 'Parse grammar and output JS module', yargs => {
  yargs.option('prettify', {
    default: false
  }).option('minify', {
    default: false
  }).positional('file', {
    describe: 'Baba grammar file',
    type: 'string',
    coerce: arg => _fs.default.readFileSync(arg, 'utf8')
  });
}, argv => {
  const script = (0, _baba.default)(argv.file);

  if (argv.prettify) {
    const prettier = require('prettier');

    process.stdout.write(prettier.format(script));
    return;
  }

  if (argv.minify) {
    const minify = require('babel-minify');

    process.stdout.write(minify(script).code);
    return;
  }

  process.stdout.write(script);
}).argv;